using UnityEngine;
using UnityEngine.SceneManagement;

public class GameManager : DontDestroy<GameManager>
{
    eScene nowScene;
    protected override void OnAwake()
    {
        Application.targetFrameRate = 120;
        nowScene = eScene.Title;
    }

    public enum eScene
    {
        Title = 0,
        Main,
        Game
    }

    public void NextScene(eScene GoingScene)
    {
        nowScene = GoingScene;
        SceneManager.LoadScene((int)nowScene);
    }
    public void NextScene()
    {
        nowScene = nowScene + 1;
        SceneManager.LoadScene((int)nowScene);
    }
}
